vRO API search does not display object description

Bug #1765393 reported by Daniel Jasiński on 2018-04-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Juniper Openstack
Status tracked in Trunk
R5.0
Fix Committed
Medium
Daniel Jasiński
Trunk
Fix Committed
Medium
Daniel Jasiński

Bug Description

In vRO API explorer object description is not displayed.

information type: Proprietary → Public
Jeba Paulaiyan (jebap) on 2018-04-19
tags: added: vmware

Review in progress for https://review.opencontrail.org/42177
Submitter: Daniel Jasinski (<email address hidden>)

OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/42252
Submitter: Daniel Jasinski (<email address hidden>)

OpenContrail Admin (ci-admin-f) wrote :

Review in progress for https://review.opencontrail.org/42177
Submitter: Daniel Jasinski (<email address hidden>)

Review in progress for https://review.opencontrail.org/42253
Submitter: Daniel Jasinski (<email address hidden>)

Review in progress for https://review.opencontrail.org/42177
Submitter: Daniel Jasinski (<email address hidden>)

Review in progress for https://review.opencontrail.org/42252
Submitter: Daniel Jasinski (<email address hidden>)

Review in progress for https://review.opencontrail.org/42177
Submitter: Daniel Jasinski (<email address hidden>)

Review in progress for https://review.opencontrail.org/42253
Submitter: Daniel Jasinski (<email address hidden>)

Review in progress for https://review.opencontrail.org/42259
Submitter: Daniel Jasinski (<email address hidden>)

Review in progress for https://review.opencontrail.org/42253
Submitter: Daniel Jasinski (<email address hidden>)

Review in progress for https://review.opencontrail.org/42259
Submitter: Daniel Jasinski (<email address hidden>)

Review in progress for https://review.opencontrail.org/42252
Submitter: Daniel Jasinski (<email address hidden>)

Review in progress for https://review.opencontrail.org/42177
Submitter: Daniel Jasinski (<email address hidden>)

Reviewed: https://review.opencontrail.org/42253
Committed: http://github.com/Juniper/contrail-vro-plugin/commit/cca6781588fb1993aa705287457f9c72df4e4052
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit cca6781588fb1993aa705287457f9c72df4e4052
Author: Daniel Jasiński <email address hidden>
Date: Fri Apr 20 08:13:44 2018 +0200

Move schema related functionality to a separate module.

Change-Id: I131ea7ff001f4df600e665d42279a28002e8356a
Partial-Bug: #1765393

Reviewed: https://review.opencontrail.org/42259
Committed: http://github.com/Juniper/contrail-vro-plugin/commit/dd516037fa5934b1c03fb205ce9117e0e761bbed
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit dd516037fa5934b1c03fb205ce9117e0e761bbed
Author: Daniel Jasiński <email address hidden>
Date: Thu Apr 19 14:45:13 2018 +0200

Display object description in vRO API explorer.

Change-Id: I5b47bcb0d92f76ca397507320452da90c81b2b2c
Depends-On: https://review.opencontrail.org/#/c/42253/4
Closes-Bug: #1765393

Reviewed: https://review.opencontrail.org/42252
Committed: http://github.com/Juniper/contrail-vro-plugin/commit/731d15d6833b49ad74ea8e78a9c6f15c2bb55071
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit 731d15d6833b49ad74ea8e78a9c6f15c2bb55071
Author: Daniel Jasiński <email address hidden>
Date: Fri Apr 20 08:13:44 2018 +0200

Move schema related functionality to a separate module.

Change-Id: I131ea7ff001f4df600e665d42279a28002e8356a
Partial-Bug: #1765393

Reviewed: https://review.opencontrail.org/42177
Committed: http://github.com/Juniper/contrail-vro-plugin/commit/b8f5d9d76492890b18d806c726329dd2092cda53
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit b8f5d9d76492890b18d806c726329dd2092cda53
Author: Daniel Jasiński <email address hidden>
Date: Thu Apr 19 14:45:13 2018 +0200

Display object description in vRO API explorer.

Change-Id: I5b47bcb0d92f76ca397507320452da90c81b2b2c
Depends-On: https://review.opencontrail.org/#/c/42252/
Closes-Bug: #1765393

Review in progress for https://review.opencontrail.org/42292
Submitter: Daniel Jasinski (<email address hidden>)

Review in progress for https://review.opencontrail.org/42297
Submitter: Daniel Jasinski (<email address hidden>)

Review in progress for https://review.opencontrail.org/42292
Submitter: Daniel Jasinski (<email address hidden>)

Review in progress for https://review.opencontrail.org/42297
Submitter: Daniel Jasinski (<email address hidden>)

Reviewed: https://review.opencontrail.org/42292
Committed: http://github.com/Juniper/contrail-vro-plugin/commit/58d70b2ed2ff4e2051b6352fb63a54da14e5ba41
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit 58d70b2ed2ff4e2051b6352fb63a54da14e5ba41
Author: Daniel Jasiński <email address hidden>
Date: Fri Apr 20 18:19:27 2018 +0200

Remove redundant wrapper types from model.

Wrappers were earlier used to allow displaying all properties as nodes. Now properties are displayed in text format and wrapper classes only introduce clutter to the Contrail object set.

Change-Id: I3f5c6c32e0f75a317be7d26311b68ddd70a8c73d
Related-Bug: #1765393

Reviewed: https://review.opencontrail.org/42297
Committed: http://github.com/Juniper/contrail-vro-plugin/commit/0cdf10598c6bfbb9aac434c549bb54b5eacd5124
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit 0cdf10598c6bfbb9aac434c549bb54b5eacd5124
Author: Daniel Jasiński <email address hidden>
Date: Fri Apr 20 18:19:27 2018 +0200

Remove redundant wrapper types from model.

Wrappers were earlier used to allow displaying all properties as nodes. Now properties are displayed in text format and wrapper classes only introduce clutter to the Contrail object set.

Change-Id: I3f5c6c32e0f75a317be7d26311b68ddd70a8c73d
Related-Bug: #1765393

Hi Daniel,
Can you explain the rationale for returning empty ArrayList as FQN for config-root?

Thanks,
Ram

+Filip

From: Ram Yadav <email address hidden>
Date: Wednesday, May 30, 2018 at 11:45 AM
To: Daniel Jasiński <email address hidden>
Cc: Sachchidanand Vaidya <email address hidden>
Subject: Question related to review https://review.opencontrail.org/#/c/43079/1

Hi Daniel,
Can you explain the rationale for returning empty ArrayList as FQN for config-root?

Thanks,
Ram

Hi Ram,

ConfigRoot has empty FQN because there can be only one instance (unnamed instance) of this object which is represent by the empty list. This way all objects' FQNs can be represented as: My FQN = Parent FQN + My Name. Example: project is the child of domain which in turn is the child of config-root and the FQN of the default project is: "default-domain:default-project", which means that we can interpret config-root FQN as empty.

Thanks,
Daniel

Hi,

FQN for all objects is defined as [parent's FQN] + [own name].
All children of config-root (such as Domain) have FQNs that are simply
1-element arrays containing their name, which suggests that config-root's
FQN should be an empty list.

For example, in a hierarchy of Config Root -> Domain -> Project -> Network
Policy, we have:
Network Policy's FQN = [domain-name, project-name, policy-name]
Project's FQN = [domain-name, project-name]
Domain's FQN = [domain-name]
so Config Root's FQN should be [] .

On Wed, May 30, 2018 at 8:51 PM, Sachchidanand Vaidya <email address hidden>
wrote:

> +Filip
>
>
>
> *From: *Ram Yadav <email address hidden>
> *Date: *Wednesday, May 30, 2018 at 11:45 AM
> *To: *Daniel Jasiński <email address hidden>
> *Cc: *Sachchidanand Vaidya <email address hidden>
> *Subject: *Question related to review https://review.opencontrail.
> org/#/c/43079/1
>
>
>
> Hi Daniel,
>
> Can you explain the rationale for returning empty ArrayList as FQN for
> config-root?
>
>
>
> Thanks,
>
> Ram
>

--

-------------------------------
The information in this email is
confidential and may be legally privileged, it may contain information that
is confidential in CodiLime Sp. z o. o. It is intended solely for the
addressee. Any access to this email by third parties is unauthorized. If
you are not the intended recipient of this message, any disclosure,
copying, distribution or any action undertaken or neglected in reliance
thereon is prohibited and may result in your liability for damages.

ram yadav (ryadav) wrote :

Hi Filip,
API server remove’s the Config-root when provided as parent as part of create.
So the understanding below is correct.
What does FQN return today for Config-root without your change? And in what case are you querying the FQN for Config-root?

Thanks,
Ram

From: Filip Chmielewski <<email address hidden><mailto:<email address hidden>>>
Date: Friday, June 1, 2018 at 3:09 AM
To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>, Daniel Jasiński <<email address hidden><mailto:<email address hidden>>>
Subject: Re: Question related to review https://review.opencontrail.org/#/c/43079/1

Hi,

FQN for all objects is defined as [parent's FQN] + [own name].
All children of config-root (such as Domain) have FQNs that are simply 1-element arrays containing their name, which suggests that config-root's FQN should be an empty list.

For example, in a hierarchy of Config Root -> Domain -> Project -> Network Policy, we have:
Network Policy's FQN = [domain-name, project-name, policy-name]
Project's FQN = [domain-name, project-name]
Domain's FQN = [domain-name]
so Config Root's FQN should be [] .

On Wed, May 30, 2018 at 8:51 PM, Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>> wrote:
+Filip

From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
Date: Wednesday, May 30, 2018 at 11:45 AM
To: Daniel Jasiński <<email address hidden><mailto:<email address hidden>>>
Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>
Subject: Question related to review https://review.opencontrail.org/#/c/43079/1<https://urldefense.proofpoint.com/v2/url?u=https-3A__review.opencontrail.org_-23_c_43079_1&d=DwMFaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=5cGBwnyUCiMK2Tm6UX_iIiml04qYJeDz4xQzoG2Hi8E&m=FJwZ4I3R0AM9hNxDZpcqZ-daRpBLiugIkx5sLH4NC0w&s=gVVK6_ktK37VlqQj8y1iHvvqTZzEkX5L_E66gHcdvnU&e=>

Hi Daniel,
Can you explain the rationale for returning empty ArrayList as FQN for config-root?

Thanks,
Ram

[X]

-------------------------------
The information in this email is confidential and may be legally privileged, it may contain information that is confidential in CodiLime Sp. z o. o. It is intended solely for the addressee. Any access to this email by third parties is unauthorized. If you are not the intended recipient of this message, any disclosure, copying, distribution or any action undertaken or neglected in reliance thereon is prohibited and may result in your liability for damages.

Download full text (4.3 KiB)

Hello Ram,

Due to recent change in Java API all objects that have multiple parents
need to have one of their parents specified explicitly. This is required
even if the parent is ConfigRoot and this information will be later removed
by the server.

Currently FQN of config-root is a list with a single *null* element:
*[null]*. The FQN of config-root is required when its children compute
their own FQN using the standard convention: My FQN = Parent FQN + My Name.

Thanks,
Daniel

On Mon, Jun 4, 2018 at 9:34 PM, ram yadav <email address hidden> wrote:

> Hi Filip,
> API server remove’s the Config-root when provided as parent as part of
> create.
> So the understanding below is correct.
> What does FQN return today for Config-root without your change? And in
> what case are you querying the FQN for Config-root?
>
> Thanks,
> Ram
>
>
> From: Filip Chmielewski <<email address hidden><mailto:
> <email address hidden>>>
> Date: Friday, June 1, 2018 at 3:09 AM
> To: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
> Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>>>,
> Daniel Jasiński <<email address hidden><mailto:<email address hidden>.
> net>>
> Subject: Re: Question related to review https://review.opencontrail.
> org/#/c/43079/1
>
> Hi,
>
> FQN for all objects is defined as [parent's FQN] + [own name].
> All children of config-root (such as Domain) have FQNs that are simply
> 1-element arrays containing their name, which suggests that config-root's
> FQN should be an empty list.
>
> For example, in a hierarchy of Config Root -> Domain -> Project ->
> Network Policy, we have:
> Network Policy's FQN = [domain-name, project-name, policy-name]
> Project's FQN = [domain-name, project-name]
> Domain's FQN = [domain-name]
> so Config Root's FQN should be [] .
>
> On Wed, May 30, 2018 at 8:51 PM, Sachchidanand Vaidya <
> <email address hidden><mailto:<email address hidden>>> wrote:
> +Filip
>
> From: Ram Yadav <<email address hidden><mailto:<email address hidden>>>
> Date: Wednesday, May 30, 2018 at 11:45 AM
> To: Daniel Jasiński <<email address hidden><mailto:
> <email address hidden>>>
> Cc: Sachchidanand Vaidya <<email address hidden><mailto:<email address hidden>
> >>
> Subject: Question related to review https://review.opencontrail.
> org/#/c/43079/1<https://urldefense.proofpoint.com/v2/
> url?u=https-3A__review.opencontrail.org_-23_c_43079_1&d=DwMFaQ&c=
> HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=5cGBwnyUCiMK2Tm6UX_
> iIiml04qYJeDz4xQzoG2Hi8E&m=FJwZ4I3R0AM9hNxDZpcqZ-
> daRpBLiugIkx5sLH4NC0w&s=gVVK6_ktK37VlqQj8y1iHvvqTZzEkX5L_E66gHcdvnU&e=>
>
> Hi Daniel,
> Can you explain the rationale for returning empty ArrayList as FQN for
> config-root?
>
> Thanks,
> Ram
>
>
> [X]
>
> -------------------------------
> The information in this email is confidential and may be legally
> privileged, it may contain information that is confidential in CodiLime Sp.
> z o. o. It is intended solely for the addressee. Any access to this email
> by third parties is unauthorized. If you are not the intended recipient of
> this message, any disclosure, copying, distribution or any action
> undertaken or neglected in reliance...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers